Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class DHMQVPrivateParameters

    java.lang.Object
      org.bouncycastle.crypto.params.DHMQVPrivateParameters

All Implemented Interfaces:
  CipherParameters

public class DHMQVPrivateParameters
extends java.lang.Object
implements CipherParameters

Constructor Summary
`DHMQVPrivateParameters(DHPrivateKeyParameters staticPrivateKey, DHPrivateKeyParameters ephemeralPrivateKey)`
`DHMQVPrivateParameters(DHPrivateKeyParameters staticPrivateKey, DHPrivateKeyParameters ephemeralPrivateKey, DHPublicKeyParameters ephemeralPublicKey)`

Method Summary
`DHPrivateKeyParameters` | `getEphemeralPrivateKey()`
`DHPublicKeyParameters` | `getEphemeralPublicKey()`
`DHPrivateKeyParameters` | `getStaticPrivateKey()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHMQVPrivateParameters

    public DHMQVPrivateParameters(DHPrivateKeyParameters staticPrivateKey,
                                  DHPrivateKeyParameters ephemeralPrivateKey)

### DHMQVPrivateParameters

    public DHMQVPrivateParameters(DHPrivateKeyParameters staticPrivateKey,
                                  DHPrivateKeyParameters ephemeralPrivateKey,
                                  DHPublicKeyParameters ephemeralPublicKey)

Method Detail

### getStaticPrivateKey

    public DHPrivateKeyParameters getStaticPrivateKey()

### getEphemeralPrivateKey

    public DHPrivateKeyParameters getEphemeralPrivateKey()

### getEphemeralPublicKey

    public DHPublicKeyParameters getEphemeralPublicKey()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD